package com.huimv.env.common.mapper;



import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.env.common.entity.EnvDevice;
import com.huimv.env.common.entity.dto.DeviceDto;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author author
 * @since 2023-02-13
 */
@Repository
public interface EnvDeviceMapper extends BaseMapper<EnvDevice> {
    DeviceDto getCount(@Param("farmId") String farmId);

    List<String>  selectDeviceCodeByfarmId(@Param("farmId") Integer farmId);
}
