/*
package com.huimv.env.device.config;

import com.huimv.env.common.utils.Const;
import org.springframework.amqp.core.Binding;
import org.springframework.amqp.core.BindingBuilder;
import org.springframework.amqp.core.Queue;
import org.springframework.amqp.core.TopicExchange;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

*/
/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **//*

@Configuration
public class TopicRabbitMQConfig {
    //温度
    @Bean
    public Queue tempQueue() {
        return new Queue(Const.QUEUE_ENV_TEMP);
    }
    @Bean
    TopicExchange tempExchange() {
        return new TopicExchange(Const.EXCHANGE_ENV_TEMP);
    }
    @Bean
    Binding bindingTempExchangeMessage() {
        return BindingBuilder.bind(tempQueue()).to(tempExchange()).with(Const.ROUTING_KEY_ENV_TEMP);
    }
    //湿度
    @Bean
    public Queue humiQueue() {
        return new Queue(Const.QUEUE_ENV_HUMI);
    }
    @Bean
    TopicExchange humiExchange() {
        return new TopicExchange(Const.EXCHANGE_ENV_HUMI);
    }
    @Bean
    Binding bindingTumiExchangeMessage() {
        return BindingBuilder.bind(humiQueue()).to(humiExchange()).with(Const.ROUTING_KEY_ENV_HUMI);
    }
    //目标温度
    @Bean
    public Queue targetTempQueue() {
        return new Queue(Const.QUEUE_ENV_TARGET_TEMP);
    }
    @Bean
    TopicExchange targetTempExchange() {
        return new TopicExchange(Const.EXCHANGE_ENV_TARGET_TEMP);
    }
    @Bean
    Binding bindingTargetTempExchangeMessage() {
        return BindingBuilder.bind(targetTempQueue()).to(targetTempExchange()).with(Const.ROUTING_KEY_ENV_TARGET_TEMP);
    }

    //日龄
    @Bean
    public Queue dayAgeQueue() {
        return new Queue(Const.QUEUE_ENV_DAYAGE);
    }
    @Bean
    TopicExchange dayAgeExchange() {
        return new TopicExchange(Const.EXCHANGE_ENV_DAYAGE);
    }
    @Bean
    Binding bindingDayAgeExchangeMessage() {
        return BindingBuilder.bind(dayAgeQueue()).to(dayAgeExchange()).with(Const.ROUTING_KEY_ENV_DAYAGE);
    }

    //通风
    @Bean
    public Queue fengQueue() {
        return new Queue(Const.QUEUE_ENV_FENG);
    }
    @Bean
    TopicExchange fengExchange() {
        return new TopicExchange(Const.EXCHANGE_ENV_FENG);
    }
    @Bean
    Binding bindingFengExchangeMessage() {
        return BindingBuilder.bind(fengQueue()).to(fengExchange()).with(Const.ROUTING_KEY_ENV_FENG);
    }

    //舍外
    @Bean
    public Queue outTempQueue() {
        return new Queue(Const.QUEUE_ENV_OUT_TEMP);
    }
    @Bean
    TopicExchange outTempExchange() {
        return new TopicExchange(Const.EXCHANGE_ENV_OUT_TEMP);
    }
    @Bean
    Binding bindingOutTempExchangeMessage() {
        return BindingBuilder.bind(outTempQueue()).to(outTempExchange()).with(Const.ROUTING_KEY_ENV_OUT_TEMP);
    }

    //舍内 平均温度
    @Bean
    public Queue inTempQueue() {
        return new Queue(Const.QUEUE_ENV_IN_TEMP);
    }
    @Bean
    TopicExchange inTempExchange() {
        return new TopicExchange(Const.EXCHANGE_ENV_IN_TEMP);
    }
    @Bean
    Binding bindingInTempExchangeMessage() {
        return BindingBuilder.bind(inTempQueue()).to(inTempExchange()).with(Const.ROUTING_KEY_ENV_IN_TEMP);
    }

    //报警
    @Bean
    public Queue warningQueue() {
        return new Queue(Const.QUEUE_ENV_WARNING);
    }
    @Bean
    TopicExchange warningExchange() {
        return new TopicExchange(Const.EXCHANGE_ENV_WARNING);
    }
    @Bean
    Binding bindingWarningExchangeMessage() {
        return BindingBuilder.bind(warningQueue()).to(warningExchange()).with(Const.ROUTING_KEY_ENV_WARNING);
    }
}
*/
